local carSounds = ui.MediaPlayer()
local carSounds2 = ui.MediaPlayer():setSource('./sounds/airsound2.mp3')
local carSounds3 = ui.MediaPlayer():setSource('./sounds/airsound2.mp3')
local carSounds4 = ui.MediaPlayer():setSource('./sounds/compressor.mp3')

function carputer()
    if ((ac.getCar().turningLeftLights == true or ac.getCar().turningRightLights == true) and ac.isInteriorView() ==
        true) then
        carSounds:setSource('./sounds/turn_signals.mp3'):setAutoPlay(true)
        carSounds:setVolume(ac.getAudioVolume('main') * 0.15)
        carSounds:play()
    else
        carSounds:pause()
        carSounds:setCurrentTime(0)
    end
end


function update(dt)
    carputer()
	signal()
end
